Skip to content

GET /flows/me

Endpoint

GET /flows/me

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

cURL Example

curl -X GET "https://api.biometrid.com/flows/me" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json"

Response (200)

{
  "data": {
    "id": "string",
    "name": "string",
    "steps": [
      {
        "id": "string",
        "name": "string",
        "next": "string",
        "settings": {
          "maxRetries": 0,
          "preventPrevious": false,
          "deviceType": "mobile"
        },
        "action": {
          "type": "form",
          "fields": [],
          "settings": {},
          "provider": {
            "providerId": "string",
            "provider": "string"
          }
        },
        "tasks": []
      }
    ]
  },
  "meta": {
    "message": "Successfull get flow",
    "code": "BIOFMFCS008"
  },
  "status": true
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "Flow not found",
    "code": "BIOFMFSE001"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Flow not active",
    "code": "BIOACASE006"
  },
  "status": false
}